Subject: Re: rlogin, rsh crash
From: Corinna Vinschen <[email-masked]>
To: Yukihiko Sohda <[email-masked]>
Cc: [email-masked]
Date: Fri, 19 May 2000 18:50:00 +0200

I've tried that on W2K German with the latest snapshot
and with 5 or 6 rlogin's one in another and I had no
problem. Your stackdump points to a crash in a very early
state while program startup, hmm.

Corinna

Yukihiko Sohda wrote:
> 
> Hello,
> 
> rlogin (and rsh) in latest/inetutils-1.3.2-2 crashed,
> when it nested.
> 
> [/home]rlogin localhost
> Password:
> [/home]rlogin localhost
>       0 [main] rlogin 1120 handle_exceptions: Exception: STATUS_ACCESS_VIOLATION
>   12503 [main] rlogin 1120 stackdump: Dumping stack trace to rlogin.exe.stackdump
> 
> [/home]cat rlogin.exe.stackdump
> Exception: STATUS_ACCESS_VIOLATION at eip=004015BB
> eax=00025800 ebx=0A041540 ecx=00000013 edx=00404010 esi=0A041C00 edi=0241E478
> ebp=0240FEA8 esp=0240FA40 program=c:\bin\rlogin.exe
> cs=001B ds=0023 es=0023 fs=003B gs=0000 ss=0023
> Stack trace:
> Frame     Function  Args
> 0240FEA8  610023B5  (00000002, 0A041538, 0A040008, 00000000)
> 0240FF14  610023B5  (7FFDF000, 77E5768B, 00000000, 00000000)
> 0240FF74  61002955  (00404010, 00000000, 0240FFA4, 0040247E)
> 0240FFA4  0040248B  (004010C4, 80430E2B, 77E57900, FFFFFFFE)
> 0240FFC0  00401038  (00000000, 77E5768B, 7FFDF000, 0246DF6C)
> 0240FFF0  77E57903  (00401000, 00000000, 000000C8, 00000100)
> 
> But it works fine in strace (strace -o log rlogin localhost).
> The crash does not depend on remote hosts.
> 
> - Windows2000Pro (Ja)
> - CYGWIN_NT-5.0 WOODSTOCK 1.1.2(0.20/3/2) 2000-05-19 00:16:41 i686 unknown
>   (cygwin1.1.1 + cygwin-inst-20000516 + cygwin1-20000518.dll)
> - CYGWIN=ntsec (as system env.)
> - CYGWIN="notty binmode ntea nontsec" (as user env.)
> 
> # inetutils works fine. It's very nice.
> # I hope rexec also works.
> 
> Regards,
> Yuki
> ----
> <SOHDA Yukihiko> E-mail: [email-masked]
> Homepage: http://matsu-www.is.titech.ac.jp/~sohda/
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Corinna Vinschen
Cygwin Developer
Cygnus Solutions, a Red Hat company

--
Want to unsubscribe from this list?
Send a message to [email-masked]